Skip to content
Ordinal
Esc
↑↓navigate↵open⌘Jpreview

X follower growth

Retrieve follower count history for an X profile

GET/analytics/x/{profileId}/followers
Authorization
AuthorizationBearer token · headerrequired

API key authentication. Generate an API key from your workspace settings.

Path parameters
profileIdstring<uuid>required

X profile ID (UUID)

Query parameters
startDatestring<date>

Start date for analytics (defaults to 30 days ago)

endDatestring<date>

End date for analytics (defaults to today)

Responses
200

X follower growth data

Array of FollowerDataPoint
followerCountintegerrequired
recordedAtstring<date-time>required
401

Unauthorized - Missing or invalid API key

codestring
messagestring
403

Forbidden - Insufficient permissions

codestring
messagestring
404

Not Found - Resource does not exist

codestring
messagestring
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://app.tryordinal.com/api/v1/analytics/x/497f6eca-6276-4993-bfeb-53cbbbba6f08/followers' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
[
  {
    "followerCount": 12450,
    "recordedAt": "2024-12-01T00:00:00.000Z"
  },
  {
    "followerCount": 12523,
    "recordedAt": "2024-12-02T00:00:00.000Z"
  },
  {
    "followerCount": 12601,
    "recordedAt": "2024-12-03T00:00:00.000Z"
  }
]